Page MenuHomePhabricator

201px thumbnail of Coat_of_arm_Bautzen.svg on Commons cannot be purged
Closed, ResolvedPublic

Description

This bug has about a dozen other incarnations on Bugzilla, but Andre has asked for new reports to be filed separately for this rather than reopening any of the old bugs (to keep the various issues from getting mixed up).

This particular incarnation can be seen by comparing:

https://upload.wikimedia.org/wikipedia/commons/thumb/7/7c/Kaldari_Lyssomanes_viridis_female_01.jpg/800px-Kaldari_Lyssomanes_viridis_female_01.jpg

and

https://upload.wikimedia.org/wikipedia/commons/thumb/7/7c/Kaldari_Lyssomanes_viridis_female_01.jpg/799px-Kaldari_Lyssomanes_viridis_female_01.jpg

The first thumbnail shows the old version of the image (with different colors), while the 2nd thumbnail shows the correct up-to-date version of the image. The first thumbnail should have been purged from cache when the new version of the image was uploaded, but apparently it was not.


Version: wmf-deployment
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=31680
https://bugzilla.wikimedia.org/show_bug.cgi?id=38879
https://bugzilla.wikimedia.org/show_bug.cgi?id=41113
https://bugzilla.wikimedia.org/show_bug.cgi?id=41130
https://bugzilla.wikimedia.org/show_bug.cgi?id=42963
https://bugzilla.wikimedia.org/show_bug.cgi?id=43345
https://bugzilla.wikimedia.org/show_bug.cgi?id=43449
https://bugzilla.wikimedia.org/show_bug.cgi?id=44269
https://bugzilla.wikimedia.org/show_bug.cgi?id=44391
https://bugzilla.wikimedia.org/show_bug.cgi?id=44428
https://bugzilla.wikimedia.org/show_bug.cgi?id=44872

Details

Reference
bz48927

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:39 AM
bzimport set Reference to bz48927.
bzimport added a subscriber: Unknown Object (MLST).
kaldari created this task.May 29 2013, 7:13 AM

Fixed for me, now.

mr.heat wrote:

This bug keeps coming back.

Bad version (two misplaced yellow rectangles at the bottom of the image):
http://upload.wikimedia.org/wikipedia/commons/thumb/e/ec/Coat_of_arm_Bautzen.svg/201px-Coat_of_arm_Bautzen.svg.png

Good version:
http://upload.wikimedia.org/wikipedia/commons/thumb/e/ec/Coat_of_arm_Bautzen.svg/200px-Coat_of_arm_Bautzen.svg.png

I tried the usual purge tricks and most image sizes are refreshed but size 201px is not.

(In reply to comment #3)
In the US it seems ok but in Germany the 201px-version is not updated.

Both of these seem to be fixed for me now (in the US).

mr.heat wrote:

The 201px version is still wrong in Germany.

(In reply to comment #3)

This bug keeps coming back.

Yes, this bug will come back until bug 43449 is fixed. :-(

I've tried http://upload.wikimedia.org/wikipedia/commons/thumb/e/ec/Coat_of_arm_Bautzen.svg/201px-Coat_of_arm_Bautzen.svg.png?whatever98743 and https://commons.wikimedia.org/wiki/File:Coat_of_arm_Bautzen.svg?action=purge but it still displays the wrong version, I'm also in Europe.

(In reply to comment #3)

This bug keeps coming back.
Bad version (two misplaced yellow rectangles at the bottom of the image):
http://upload.wikimedia.org/wikipedia/commons/thumb/e/ec/Coat_of_arm_Bautzen.
svg/201px-Coat_of_arm_Bautzen.svg.png
Good version:
http://upload.wikimedia.org/wikipedia/commons/thumb/e/ec/Coat_of_arm_Bautzen.
svg/200px-Coat_of_arm_Bautzen.svg.png
I tried the usual purge tricks and most image sizes are refreshed but size
201px is not.

I see no difference between the two given images?

btw. Using thumb.php to purge image at a given resolution often works.

(In reply to comment #6)

The 201px version is still wrong in Germany.

Finally also fixed for GER/EU

Thanks for retesting, confirming it is fixed now.
I guess that it took some time to sync all servers. "EU vs. rest of the world" has to do with esams (Amsterdam) servers vs ptpma/eqiad (US servers).

Gilles raised the priority of this task from Normal to Unbreak Now!.Dec 4 2014, 10:23 AM
Gilles added a project: Multimedia.
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to Normal.Dec 4 2014, 11:22 AM